import { IAdaptable } from '../../AdaptableInterfaces/IAdaptable';
import { AdaptableApi, CellAddress } from '../../types';
import { IAdaptableService } from './Interface/IAdaptableService';
/**
 * This service controls the interaction between notes and comments
 */
export declare class CellPopupService implements IAdaptableService {
    private api;
    adaptable: IAdaptable;
    constructor(api: AdaptableApi);
    destroy(): void;
    private getAdaptableState;
    private dispatchAction;
    static isSameAddress(a: CellAddress, b: CellAddress): boolean;
    private handleAdaptableReady;
    private getCellPositionFromEvent;
    private handleMouseEnter;
    private handleCellSelected;
    getOpenCellAddress(): CellAddress | undefined;
    getEditMode(): boolean;
    hidePopup(): void;
    showPopup(cellAddress: CellAddress, editMode: boolean): void;
    editFocusedEntity(entity: 'Note' | 'Comment'): void;
    getNotePopupEditMode(): boolean;
}
